## org.eclipse.emf.cdo.session
Class CDORetryExceptionHandler

    java.lang.Object
      org.eclipse.emf.cdo.session.CDORetryExceptionHandler

All Implemented Interfaces:
  CDOSession.ExceptionHandler

    public class CDORetryExceptionHandler

extends java.lang.Object
implements CDOSession.ExceptionHandler

Since:
  2.0

Field Summary
`static int` `RETRY_FOREVER`

Constructor Summary
`CDORetryExceptionHandler()`
`CDORetryExceptionHandler(int retries)`

Method Summary
`int` `getRetries()`
`void` `handleException(CDOSession session, int attempt, java.lang.Exception exception)`
`boolean` `isRetryingForever()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RETRY_FOREVER

    public static final int RETRY_FOREVER

See Also:
  Constant Field Values

Constructor Detail

### CDORetryExceptionHandler

    public CDORetryExceptionHandler(int retries)

### CDORetryExceptionHandler

    public CDORetryExceptionHandler()

Method Detail

### getRetries

    public int getRetries()

### isRetryingForever

    public boolean isRetryingForever()

### handleException

    public void handleException(CDOSession session,
                                int attempt,
                                java.lang.Exception exception)
                         throws java.lang.Exception

  Specified by:
    `handleException` in interface `CDOSession.ExceptionHandler`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.